# CoinWarmStartVector< T > Class Template Reference

WarmStart information that is only a vector. More...

`#include <CoinWarmStartVector.hpp>`

Inheritance diagram for CoinWarmStartVector< T >:
[legend]
Collaboration diagram for CoinWarmStartVector< T >:
[legend]

List of all members.

## Public Member Functions
int | size () const
| return the size of the vector
const T * | values () const
| return a pointer to the array of vectors
void | assignVector (int size, T *&vec)
| Assign the vector to be the warmstart information.
| CoinWarmStartVector ()
| CoinWarmStartVector (int size, const T *vec)
| CoinWarmStartVector (const CoinWarmStartVector &rhs)
CoinWarmStartVector & | operator= (const CoinWarmStartVector &rhs)
void | swap (CoinWarmStartVector &rhs)
virtual CoinWarmStart * | clone () const
| `Virtual constructor'
virtual | ~CoinWarmStartVector ()
void | clear ()
| Clear the data.
Vector warm start `diff' methods
virtual CoinWarmStartDiff * | generateDiff (const CoinWarmStart *const oldCWS) const
| Generate a `diff' that can convert the warm start passed as a parameter to the warm start specified by `this`.
virtual void | applyDiff (const CoinWarmStartDiff *const cwsdDiff)
| Apply `diff` to this warm start.
## Protected Member Functions
void | gutsOfDestructor ()
void | gutsOfCopy (const CoinWarmStartVector< T > &rhs)
## Private Attributes
Private data members
int | size_
| the size of the vector
T * | values_
| the vector itself

## Detailed Description

### template<typename T>
class CoinWarmStartVector< T >

WarmStart information that is only a vector.

Definition at line 26 of file CoinWarmStartVector.hpp.

## Constructor & Destructor Documentation

template<typename T>

CoinWarmStartVector< T >::CoinWarmStartVector | ( |  | ) | `[inline]`

Definition at line 54 of file CoinWarmStartVector.hpp.

template<typename T>

CoinWarmStartVector< T >::CoinWarmStartVector | ( | int | size,
|  | const T * | vec |
| ) |  |  | `[inline]`

Definition at line 56 of file CoinWarmStartVector.hpp.

template<typename T>

CoinWarmStartVector< T >::CoinWarmStartVector | ( | const CoinWarmStartVector< T > & | rhs | ) | `[inline]`

Definition at line 61 of file CoinWarmStartVector.hpp.

template<typename T>

virtual CoinWarmStartVector< T >::~CoinWarmStartVector | ( |  | ) | `[inline, virtual]`

Definition at line 85 of file CoinWarmStartVector.hpp.

## Member Function Documentation

template<typename T>

void CoinWarmStartVector< T >::gutsOfDestructor | ( |  | ) | `[inline, protected]`

Definition at line 29 of file CoinWarmStartVector.hpp.

template<typename T>

void CoinWarmStartVector< T >::gutsOfCopy | ( | const CoinWarmStartVector< T > & | rhs | ) | `[inline, protected]`

Definition at line 32 of file CoinWarmStartVector.hpp.

template<typename T>

int CoinWarmStartVector< T >::size | ( |  | ) | const`[inline]`

return the size of the vector

Definition at line 40 of file CoinWarmStartVector.hpp.

template<typename T>

const T* CoinWarmStartVector< T >::values | ( |  | ) | const`[inline]`

return a pointer to the array of vectors

Definition at line 42 of file CoinWarmStartVector.hpp.

template<typename T>

void CoinWarmStartVector< T >::assignVector | ( | int | size,
|  | T *& | vec |
| ) |  |  | `[inline]`

Assign the vector to be the warmstart information.

In this method the object assumes ownership of the pointer and upon return vector will be a NULL pointer. If copying is desirable use the constructor.

Definition at line 47 of file CoinWarmStartVector.hpp.

template<typename T>

CoinWarmStartVector& CoinWarmStartVector< T >::operator= | ( | const CoinWarmStartVector< T > & | rhs | ) | `[inline]`

Definition at line 65 of file CoinWarmStartVector.hpp.

template<typename T>

void CoinWarmStartVector< T >::swap | ( | CoinWarmStartVector< T > & | rhs | ) | `[inline]`

Definition at line 73 of file CoinWarmStartVector.hpp.

template<typename T>

virtual CoinWarmStart* CoinWarmStartVector< T >::clone | ( |  | ) | const`[inline, virtual]`

`Virtual constructor'

Implements CoinWarmStart.

Definition at line 81 of file CoinWarmStartVector.hpp.

template<typename T>

void CoinWarmStartVector< T >::clear | ( |  | ) | `[inline]`

Clear the data.

Make it appear as if the warmstart was just created using the default constructor.

Definition at line 94 of file CoinWarmStartVector.hpp.

template<typename T >

CoinWarmStartDiff * CoinWarmStartVector< T >::generateDiff | ( | const CoinWarmStart *const | oldCWS | ) | const`[inline, virtual]`

Generate a `diff' that can convert the warm start passed as a parameter to the warm start specified by `this`.

The capabilities are limited: the basis passed as a parameter can be no larger than the basis pointed to by `this`.

Definition at line 336 of file CoinWarmStartVector.hpp.

template<typename T >

void CoinWarmStartVector< T >::applyDiff | ( | const CoinWarmStartDiff *const | cwsdDiff | ) | `[inline, virtual]`

Apply `diff` to this warm start.

Update this warm start by applying `diff`. It's assumed that the allocated capacity of the warm start is sufficiently large.

Reimplemented from CoinWarmStart.

Definition at line 400 of file CoinWarmStartVector.hpp.

## Member Data Documentation

template<typename T>

int CoinWarmStartVector< T >::size_`[private]`

the size of the vector

Definition at line 127 of file CoinWarmStartVector.hpp.

template<typename T>

T* CoinWarmStartVector< T >::values_`[private]`

the vector itself

Definition at line 129 of file CoinWarmStartVector.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/CoinUtils-2.9.4/CoinUtils/src/CoinWarmStartVector.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines